<?php

namespace App\Http\Controllers;

use App\News;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class RootController extends Controller
{
    function __construct()
    {
        $this->middleware("auth");
        $this->middleware([ "lang" ]);
    }

    public function index() {
        $perPage = 5;

        if(auth()->user()->can('admin.panel.show')) {
            if(Response::detect("root.index")->name() == "admin.root.index")
                return Response::detect("root.index");
            else {
                $news = News::query()->orderBy('id', 'desc')->paginate($perPage);
                return Response::detect("root.index", ["news" => $news]);
            }
        }
        else {
            $news = News::query()->orderBy('id', 'desc')->paginate($perPage, ['*'], "page");

            return view('app.root.index', ["news" => $news]);
        }
    }
}
